-- square.png is 80x80,anim is 40*40
state_string = ""
require("AnAL_M2.lua")

function love.load()

   -- allow our black box image to be seen; pink-ish background
   love.graphics.setBackgroundColor(200, 160, 160)

   -- the box image
   my_square = love.graphics.newImage("square3.png")

	anim = newAnimation(my_square,40,40,1,2,3)
	anim:addFrame(40,0,40,40,1)
end

function love.draw()

   -- draw the box in the buffer (at 100,100)
	anim:draw(100,100)
   -- display the state string
   love.graphics.print(state_string, 200, 200)
end

function love.update(dt)
	anim:update(dt)
end

function love.mousepressed(x, y, button)

   local in_area = false

   -- is the click in our image area?
   if x >= 100 and x < 140 and y >= 100 and y < 140 then
      in_area = true
   end

   if not in_area then
      state_string = "OUTSIDE"
   end

   if in_area then
	--get the imageData()
	  box_image_data = anim:getImageData()
      r, g, b, a = box_image_data:getPixel(x - 100, y - 100)
      state_string = "ALPHA: " .. a
   end
end
